package com.cyksj.service.authorization;

import com.cyksj.model.dto.JsSdkTicket;

/**
 * @author chan
 * @className AuthorizationService
 * @description 授权服务
 * @date 2021/10/8 1:58 下午
 */
public interface AuthorizationService {

    /**
     * 微信授权转发地址
     * @param state
     * @param authType
     * @return
     */
    String createUrl(String state, String authType);

    JsSdkTicket getJsTicket(String appId, String url) throws Exception;

    String createWxAuthLoginUrl(String state,String appId, String redirectUrl);
}
